#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	fsp library
Summary(pl.UTF-8):	Biblioteka fsp
Name:		fsplib
Version:	0.14
Release:	1
License:	BSD-like (see COPYING)
Group:		Libraries
Source0:	http://downloads.sourceforge.net/fsp/%{name}-%{version}.tar.gz
# Source0-md5:	7eec378bb29de161f29b495a96828cba
Patch0:		%{name}-scons.patch
URL:		http://fsp.sourceforge.net/fsplib.html
BuildRequires:	scons >= 3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is C library which support talking with FSP server using FSP v2
protocol and provides POSIX-like file manipulation interface.

For more information about FSP protocol see
<http://fsp.sourceforge.net/>.

For library and API info see <http://fsp.sourceforge.net/fsplib.html>.

%description -l pl.UTF-8
To jest biblioteka napisana w C, która obsługuje "rozmowę" z serwerem
FSP przy użyciu wersji 2 protokołu i dostarcza interfejsu operacji na
plikach podobnego do POSIX.

Więcej informacji o protokole FSP można znaleźć na
<http://fsp.sourceforge.net/>.

Informacje o bibliotece i API znajdują się na
<http://fsp.sourceforge.net/fsplib.html>.

%package devel
Summary:	Header files for FSP library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FSP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for FSP library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki FSP.

%package static
Summary:	Static FSP library
Summary(pl.UTF-8):	Statyczna biblioteka FSP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FSP library.

%description static -l pl.UTF-8
Statyczna biblioteka FSP.

%prep
%setup -q -c
%patch0 -p1

%build
%scons \
	CCFLAGS="%{rpmcflags}" \
	enable-shared=yes

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

# we know scons is great :/
install libfsplib.so.0.0.0 $RPM_BUILD_ROOT%{_libdir}
ln -sf libfsplib.so.0.0.0 $RPM_BUILD_ROOT%{_libdir}/libfsplib.so.0
ln -sf libfsplib.so.0.0.0 $RPM_BUILD_ROOT%{_libdir}/libfsplib.so
cp -a libfsplib.a $RPM_BUILD_ROOT%{_libdir}
cp -a fsplib.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%attr(755,root,root) %{_libdir}/libfsplib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfsplib.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfsplib.so
%{_includedir}/fsplib.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libfsplib.a
%endif
%changelog
* Sun Dec 27 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fsplib.git;a=log;h=master

* Sun Dec 27 2020 Jakub Bogusz <qboosh@pld-linux.org> b322796
- updated to 0.14

* Sat Sep 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 0fc7a2d
- updated to 0.12
- updated scons patch

* Sun Aug 09 2015 Jan Rękorajski <baggins@pld-linux.org> 04adcb6
- release 2 (by relup.sh)

* Tue Jun 15 2010 Jakub Bogusz <qboosh@pld-linux.org> 8e24d03
- updated to 0.11
- autotools are gone, added scons patch which tries to fix introduced build issues

* Tue Jun 15 2010 Jakub Bogusz <qboosh@pld-linux.org> bff0d1c
- try to deal with scons

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 1872679
- CVE notes

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> a800964
- 0.9 [fixes CVE-2007-3961 CVE-2007-3962]

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5c0cf8e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ba75704
- converted to UTF-8

* Sat Mar 25 2006 Jakub Bogusz <qboosh@pld-linux.org> 2010fe9
- updated to 0.8 (security fix for off-by-one error [CVE-2006-7221])

* Wed Jan 11 2006 witekfl <witekfl@pld-linux.org> 1343683
- updated to 0.7

* Fri Jun 17 2005 twittner <twittner@pld-linux.org> 48c4295
- cosmetics

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> 90f9aff
- added header "Conditional build:"

* Tue Jun 14 2005 witekfl <witekfl@pld-linux.org> f4b24f3
- added bcond without static_libs

* Sun May 01 2005 Elan Ruusamäe <glen@pld-linux.org> ff8ba1e
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

* Mon Mar 21 2005 Jakub Bogusz <qboosh@pld-linux.org> e1d54c4
- desc cosmetics, ac version

* Sun Mar 20 2005 darekr <darekr@pld-linux.org> 2192cc7
- BR: lt, ac, am

* Sun Mar 20 2005 witekfl <witekfl@pld-linux.org> 6935743
- initial release

